Module javafx.graphics
Package javafx.geometry

## Enum NodeOrientation

- java.lang.Object
- - java.lang.Enum<NodeOrientation>
  - - javafx.geometry.NodeOrientation

- All Implemented Interfaces:
    `Serializable`, `Comparable<NodeOrientation>`, `java.lang.constant.Constable`

      public enum NodeOrientation
      extends Enum<NodeOrientation>

  A set of values for describing the flow of visual data for a node.
  Since:
    JavaFX 8.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INHERIT` | Indicates that the node inherits orientation from the parent.
    `LEFT_TO_RIGHT` | Indicates that the node draws from left-to-right.
    `RIGHT_TO_LEFT` | Indicates that the node draws from right-to-left.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeOrientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NodeOrientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_TO_RIGHT

          public static final NodeOrientation LEFT_TO_RIGHT

      Indicates that the node draws from left-to-right.

    - #### RIGHT_TO_LEFT

          public static final NodeOrientation RIGHT_TO_LEFT

      Indicates that the node draws from right-to-left.

    - #### INHERIT

          public static final NodeOrientation INHERIT

      Indicates that the node inherits orientation from the parent.

  - ### Method Detail

    - #### values

          public static NodeOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeOrientation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null